Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network229.80.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
229.80.0.0
Broadcast address
229.87.255.255
First usable
229.80.0.1
Last usable
229.87.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E5500000 · Integer 3847225344 to 3847749631
Reverse DNS zones
80.229.in-addr.arpa
81.229.in-addr.arpa
82.229.in-addr.arpa
83.229.in-addr.arpa
84.229.in-addr.arpa
85.229.in-addr.arpa
86.229.in-addr.arpa
87.229.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100101.01010000.00000000.00000000229.80.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11100101.01010000.00000000.00000000229.80.0.0
Broadcast11100101.01010111.11111111.11111111229.87.255.255
Split into smaller subnets/24

229.80.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1229.80.0.0/24229.80.0.1 to 229.80.0.254229.80.0.255254
2229.80.1.0/24229.80.1.1 to 229.80.1.254229.80.1.255254
3229.80.2.0/24229.80.2.1 to 229.80.2.254229.80.2.255254
4229.80.3.0/24229.80.3.1 to 229.80.3.254229.80.3.255254
5229.80.4.0/24229.80.4.1 to 229.80.4.254229.80.4.255254
6229.80.5.0/24229.80.5.1 to 229.80.5.254229.80.5.255254
7229.80.6.0/24229.80.6.1 to 229.80.6.254229.80.6.255254
8229.80.7.0/24229.80.7.1 to 229.80.7.254229.80.7.255254
9229.80.8.0/24229.80.8.1 to 229.80.8.254229.80.8.255254
10229.80.9.0/24229.80.9.1 to 229.80.9.254229.80.9.255254
11229.80.10.0/24229.80.10.1 to 229.80.10.254229.80.10.255254
12229.80.11.0/24229.80.11.1 to 229.80.11.254229.80.11.255254
13229.80.12.0/24229.80.12.1 to 229.80.12.254229.80.12.255254
14229.80.13.0/24229.80.13.1 to 229.80.13.254229.80.13.255254
15229.80.14.0/24229.80.14.1 to 229.80.14.254229.80.14.255254
16229.80.15.0/24229.80.15.1 to 229.80.15.254229.80.15.255254
17229.80.16.0/24229.80.16.1 to 229.80.16.254229.80.16.255254
18229.80.17.0/24229.80.17.1 to 229.80.17.254229.80.17.255254
19229.80.18.0/24229.80.18.1 to 229.80.18.254229.80.18.255254
20229.80.19.0/24229.80.19.1 to 229.80.19.254229.80.19.255254
21229.80.20.0/24229.80.20.1 to 229.80.20.254229.80.20.255254
22229.80.21.0/24229.80.21.1 to 229.80.21.254229.80.21.255254
23229.80.22.0/24229.80.22.1 to 229.80.22.254229.80.22.255254
24229.80.23.0/24229.80.23.1 to 229.80.23.254229.80.23.255254
25229.80.24.0/24229.80.24.1 to 229.80.24.254229.80.24.255254
26229.80.25.0/24229.80.25.1 to 229.80.25.254229.80.25.255254
27229.80.26.0/24229.80.26.1 to 229.80.26.254229.80.26.255254
28229.80.27.0/24229.80.27.1 to 229.80.27.254229.80.27.255254
29229.80.28.0/24229.80.28.1 to 229.80.28.254229.80.28.255254
30229.80.29.0/24229.80.29.1 to 229.80.29.254229.80.29.255254
31229.80.30.0/24229.80.30.1 to 229.80.30.254229.80.30.255254
32229.80.31.0/24229.80.31.1 to 229.80.31.254229.80.31.255254
33229.80.32.0/24229.80.32.1 to 229.80.32.254229.80.32.255254
34229.80.33.0/24229.80.33.1 to 229.80.33.254229.80.33.255254
35229.80.34.0/24229.80.34.1 to 229.80.34.254229.80.34.255254
36229.80.35.0/24229.80.35.1 to 229.80.35.254229.80.35.255254
37229.80.36.0/24229.80.36.1 to 229.80.36.254229.80.36.255254
38229.80.37.0/24229.80.37.1 to 229.80.37.254229.80.37.255254
39229.80.38.0/24229.80.38.1 to 229.80.38.254229.80.38.255254
40229.80.39.0/24229.80.39.1 to 229.80.39.254229.80.39.255254
41229.80.40.0/24229.80.40.1 to 229.80.40.254229.80.40.255254
42229.80.41.0/24229.80.41.1 to 229.80.41.254229.80.41.255254
43229.80.42.0/24229.80.42.1 to 229.80.42.254229.80.42.255254
44229.80.43.0/24229.80.43.1 to 229.80.43.254229.80.43.255254
45229.80.44.0/24229.80.44.1 to 229.80.44.254229.80.44.255254
46229.80.45.0/24229.80.45.1 to 229.80.45.254229.80.45.255254
47229.80.46.0/24229.80.46.1 to 229.80.46.254229.80.46.255254
48229.80.47.0/24229.80.47.1 to 229.80.47.254229.80.47.255254
49229.80.48.0/24229.80.48.1 to 229.80.48.254229.80.48.255254
50229.80.49.0/24229.80.49.1 to 229.80.49.254229.80.49.255254
51229.80.50.0/24229.80.50.1 to 229.80.50.254229.80.50.255254
52229.80.51.0/24229.80.51.1 to 229.80.51.254229.80.51.255254
53229.80.52.0/24229.80.52.1 to 229.80.52.254229.80.52.255254
54229.80.53.0/24229.80.53.1 to 229.80.53.254229.80.53.255254
55229.80.54.0/24229.80.54.1 to 229.80.54.254229.80.54.255254
56229.80.55.0/24229.80.55.1 to 229.80.55.254229.80.55.255254
57229.80.56.0/24229.80.56.1 to 229.80.56.254229.80.56.255254
58229.80.57.0/24229.80.57.1 to 229.80.57.254229.80.57.255254
59229.80.58.0/24229.80.58.1 to 229.80.58.254229.80.58.255254
60229.80.59.0/24229.80.59.1 to 229.80.59.254229.80.59.255254
61229.80.60.0/24229.80.60.1 to 229.80.60.254229.80.60.255254
62229.80.61.0/24229.80.61.1 to 229.80.61.254229.80.61.255254
63229.80.62.0/24229.80.62.1 to 229.80.62.254229.80.62.255254
64229.80.63.0/24229.80.63.1 to 229.80.63.254229.80.63.255254
65229.80.64.0/24229.80.64.1 to 229.80.64.254229.80.64.255254
66229.80.65.0/24229.80.65.1 to 229.80.65.254229.80.65.255254
67229.80.66.0/24229.80.66.1 to 229.80.66.254229.80.66.255254
68229.80.67.0/24229.80.67.1 to 229.80.67.254229.80.67.255254
69229.80.68.0/24229.80.68.1 to 229.80.68.254229.80.68.255254
70229.80.69.0/24229.80.69.1 to 229.80.69.254229.80.69.255254
71229.80.70.0/24229.80.70.1 to 229.80.70.254229.80.70.255254
72229.80.71.0/24229.80.71.1 to 229.80.71.254229.80.71.255254
73229.80.72.0/24229.80.72.1 to 229.80.72.254229.80.72.255254
74229.80.73.0/24229.80.73.1 to 229.80.73.254229.80.73.255254
75229.80.74.0/24229.80.74.1 to 229.80.74.254229.80.74.255254
76229.80.75.0/24229.80.75.1 to 229.80.75.254229.80.75.255254
77229.80.76.0/24229.80.76.1 to 229.80.76.254229.80.76.255254
78229.80.77.0/24229.80.77.1 to 229.80.77.254229.80.77.255254
79229.80.78.0/24229.80.78.1 to 229.80.78.254229.80.78.255254
80229.80.79.0/24229.80.79.1 to 229.80.79.254229.80.79.255254
81229.80.80.0/24229.80.80.1 to 229.80.80.254229.80.80.255254
82229.80.81.0/24229.80.81.1 to 229.80.81.254229.80.81.255254
83229.80.82.0/24229.80.82.1 to 229.80.82.254229.80.82.255254
84229.80.83.0/24229.80.83.1 to 229.80.83.254229.80.83.255254
85229.80.84.0/24229.80.84.1 to 229.80.84.254229.80.84.255254
86229.80.85.0/24229.80.85.1 to 229.80.85.254229.80.85.255254
87229.80.86.0/24229.80.86.1 to 229.80.86.254229.80.86.255254
88229.80.87.0/24229.80.87.1 to 229.80.87.254229.80.87.255254
89229.80.88.0/24229.80.88.1 to 229.80.88.254229.80.88.255254
90229.80.89.0/24229.80.89.1 to 229.80.89.254229.80.89.255254
91229.80.90.0/24229.80.90.1 to 229.80.90.254229.80.90.255254
92229.80.91.0/24229.80.91.1 to 229.80.91.254229.80.91.255254
93229.80.92.0/24229.80.92.1 to 229.80.92.254229.80.92.255254
94229.80.93.0/24229.80.93.1 to 229.80.93.254229.80.93.255254
95229.80.94.0/24229.80.94.1 to 229.80.94.254229.80.94.255254
96229.80.95.0/24229.80.95.1 to 229.80.95.254229.80.95.255254
97229.80.96.0/24229.80.96.1 to 229.80.96.254229.80.96.255254
98229.80.97.0/24229.80.97.1 to 229.80.97.254229.80.97.255254
99229.80.98.0/24229.80.98.1 to 229.80.98.254229.80.98.255254
100229.80.99.0/24229.80.99.1 to 229.80.99.254229.80.99.255254
101229.80.100.0/24229.80.100.1 to 229.80.100.254229.80.100.255254
102229.80.101.0/24229.80.101.1 to 229.80.101.254229.80.101.255254
103229.80.102.0/24229.80.102.1 to 229.80.102.254229.80.102.255254
104229.80.103.0/24229.80.103.1 to 229.80.103.254229.80.103.255254
105229.80.104.0/24229.80.104.1 to 229.80.104.254229.80.104.255254
106229.80.105.0/24229.80.105.1 to 229.80.105.254229.80.105.255254
107229.80.106.0/24229.80.106.1 to 229.80.106.254229.80.106.255254
108229.80.107.0/24229.80.107.1 to 229.80.107.254229.80.107.255254
109229.80.108.0/24229.80.108.1 to 229.80.108.254229.80.108.255254
110229.80.109.0/24229.80.109.1 to 229.80.109.254229.80.109.255254
111229.80.110.0/24229.80.110.1 to 229.80.110.254229.80.110.255254
112229.80.111.0/24229.80.111.1 to 229.80.111.254229.80.111.255254
113229.80.112.0/24229.80.112.1 to 229.80.112.254229.80.112.255254
114229.80.113.0/24229.80.113.1 to 229.80.113.254229.80.113.255254
115229.80.114.0/24229.80.114.1 to 229.80.114.254229.80.114.255254
116229.80.115.0/24229.80.115.1 to 229.80.115.254229.80.115.255254
117229.80.116.0/24229.80.116.1 to 229.80.116.254229.80.116.255254
118229.80.117.0/24229.80.117.1 to 229.80.117.254229.80.117.255254
119229.80.118.0/24229.80.118.1 to 229.80.118.254229.80.118.255254
120229.80.119.0/24229.80.119.1 to 229.80.119.254229.80.119.255254
121229.80.120.0/24229.80.120.1 to 229.80.120.254229.80.120.255254
122229.80.121.0/24229.80.121.1 to 229.80.121.254229.80.121.255254
123229.80.122.0/24229.80.122.1 to 229.80.122.254229.80.122.255254
124229.80.123.0/24229.80.123.1 to 229.80.123.254229.80.123.255254
125229.80.124.0/24229.80.124.1 to 229.80.124.254229.80.124.255254
126229.80.125.0/24229.80.125.1 to 229.80.125.254229.80.125.255254
127229.80.126.0/24229.80.126.1 to 229.80.126.254229.80.126.255254
128229.80.127.0/24229.80.127.1 to 229.80.127.254229.80.127.255254
129229.80.128.0/24229.80.128.1 to 229.80.128.254229.80.128.255254
130229.80.129.0/24229.80.129.1 to 229.80.129.254229.80.129.255254
131229.80.130.0/24229.80.130.1 to 229.80.130.254229.80.130.255254
132229.80.131.0/24229.80.131.1 to 229.80.131.254229.80.131.255254
133229.80.132.0/24229.80.132.1 to 229.80.132.254229.80.132.255254
134229.80.133.0/24229.80.133.1 to 229.80.133.254229.80.133.255254
135229.80.134.0/24229.80.134.1 to 229.80.134.254229.80.134.255254
136229.80.135.0/24229.80.135.1 to 229.80.135.254229.80.135.255254
137229.80.136.0/24229.80.136.1 to 229.80.136.254229.80.136.255254
138229.80.137.0/24229.80.137.1 to 229.80.137.254229.80.137.255254
139229.80.138.0/24229.80.138.1 to 229.80.138.254229.80.138.255254
140229.80.139.0/24229.80.139.1 to 229.80.139.254229.80.139.255254
141229.80.140.0/24229.80.140.1 to 229.80.140.254229.80.140.255254
142229.80.141.0/24229.80.141.1 to 229.80.141.254229.80.141.255254
143229.80.142.0/24229.80.142.1 to 229.80.142.254229.80.142.255254
144229.80.143.0/24229.80.143.1 to 229.80.143.254229.80.143.255254
145229.80.144.0/24229.80.144.1 to 229.80.144.254229.80.144.255254
146229.80.145.0/24229.80.145.1 to 229.80.145.254229.80.145.255254
147229.80.146.0/24229.80.146.1 to 229.80.146.254229.80.146.255254
148229.80.147.0/24229.80.147.1 to 229.80.147.254229.80.147.255254
149229.80.148.0/24229.80.148.1 to 229.80.148.254229.80.148.255254
150229.80.149.0/24229.80.149.1 to 229.80.149.254229.80.149.255254
151229.80.150.0/24229.80.150.1 to 229.80.150.254229.80.150.255254
152229.80.151.0/24229.80.151.1 to 229.80.151.254229.80.151.255254
153229.80.152.0/24229.80.152.1 to 229.80.152.254229.80.152.255254
154229.80.153.0/24229.80.153.1 to 229.80.153.254229.80.153.255254
155229.80.154.0/24229.80.154.1 to 229.80.154.254229.80.154.255254
156229.80.155.0/24229.80.155.1 to 229.80.155.254229.80.155.255254
157229.80.156.0/24229.80.156.1 to 229.80.156.254229.80.156.255254
158229.80.157.0/24229.80.157.1 to 229.80.157.254229.80.157.255254
159229.80.158.0/24229.80.158.1 to 229.80.158.254229.80.158.255254
160229.80.159.0/24229.80.159.1 to 229.80.159.254229.80.159.255254
161229.80.160.0/24229.80.160.1 to 229.80.160.254229.80.160.255254
162229.80.161.0/24229.80.161.1 to 229.80.161.254229.80.161.255254
163229.80.162.0/24229.80.162.1 to 229.80.162.254229.80.162.255254
164229.80.163.0/24229.80.163.1 to 229.80.163.254229.80.163.255254
165229.80.164.0/24229.80.164.1 to 229.80.164.254229.80.164.255254
166229.80.165.0/24229.80.165.1 to 229.80.165.254229.80.165.255254
167229.80.166.0/24229.80.166.1 to 229.80.166.254229.80.166.255254
168229.80.167.0/24229.80.167.1 to 229.80.167.254229.80.167.255254
169229.80.168.0/24229.80.168.1 to 229.80.168.254229.80.168.255254
170229.80.169.0/24229.80.169.1 to 229.80.169.254229.80.169.255254
171229.80.170.0/24229.80.170.1 to 229.80.170.254229.80.170.255254
172229.80.171.0/24229.80.171.1 to 229.80.171.254229.80.171.255254
173229.80.172.0/24229.80.172.1 to 229.80.172.254229.80.172.255254
174229.80.173.0/24229.80.173.1 to 229.80.173.254229.80.173.255254
175229.80.174.0/24229.80.174.1 to 229.80.174.254229.80.174.255254
176229.80.175.0/24229.80.175.1 to 229.80.175.254229.80.175.255254
177229.80.176.0/24229.80.176.1 to 229.80.176.254229.80.176.255254
178229.80.177.0/24229.80.177.1 to 229.80.177.254229.80.177.255254
179229.80.178.0/24229.80.178.1 to 229.80.178.254229.80.178.255254
180229.80.179.0/24229.80.179.1 to 229.80.179.254229.80.179.255254
181229.80.180.0/24229.80.180.1 to 229.80.180.254229.80.180.255254
182229.80.181.0/24229.80.181.1 to 229.80.181.254229.80.181.255254
183229.80.182.0/24229.80.182.1 to 229.80.182.254229.80.182.255254
184229.80.183.0/24229.80.183.1 to 229.80.183.254229.80.183.255254
185229.80.184.0/24229.80.184.1 to 229.80.184.254229.80.184.255254
186229.80.185.0/24229.80.185.1 to 229.80.185.254229.80.185.255254
187229.80.186.0/24229.80.186.1 to 229.80.186.254229.80.186.255254
188229.80.187.0/24229.80.187.1 to 229.80.187.254229.80.187.255254
189229.80.188.0/24229.80.188.1 to 229.80.188.254229.80.188.255254
190229.80.189.0/24229.80.189.1 to 229.80.189.254229.80.189.255254
191229.80.190.0/24229.80.190.1 to 229.80.190.254229.80.190.255254
192229.80.191.0/24229.80.191.1 to 229.80.191.254229.80.191.255254
193229.80.192.0/24229.80.192.1 to 229.80.192.254229.80.192.255254
194229.80.193.0/24229.80.193.1 to 229.80.193.254229.80.193.255254
195229.80.194.0/24229.80.194.1 to 229.80.194.254229.80.194.255254
196229.80.195.0/24229.80.195.1 to 229.80.195.254229.80.195.255254
197229.80.196.0/24229.80.196.1 to 229.80.196.254229.80.196.255254
198229.80.197.0/24229.80.197.1 to 229.80.197.254229.80.197.255254
199229.80.198.0/24229.80.198.1 to 229.80.198.254229.80.198.255254
200229.80.199.0/24229.80.199.1 to 229.80.199.254229.80.199.255254
201229.80.200.0/24229.80.200.1 to 229.80.200.254229.80.200.255254
202229.80.201.0/24229.80.201.1 to 229.80.201.254229.80.201.255254
203229.80.202.0/24229.80.202.1 to 229.80.202.254229.80.202.255254
204229.80.203.0/24229.80.203.1 to 229.80.203.254229.80.203.255254
205229.80.204.0/24229.80.204.1 to 229.80.204.254229.80.204.255254
206229.80.205.0/24229.80.205.1 to 229.80.205.254229.80.205.255254
207229.80.206.0/24229.80.206.1 to 229.80.206.254229.80.206.255254
208229.80.207.0/24229.80.207.1 to 229.80.207.254229.80.207.255254
209229.80.208.0/24229.80.208.1 to 229.80.208.254229.80.208.255254
210229.80.209.0/24229.80.209.1 to 229.80.209.254229.80.209.255254
211229.80.210.0/24229.80.210.1 to 229.80.210.254229.80.210.255254
212229.80.211.0/24229.80.211.1 to 229.80.211.254229.80.211.255254
213229.80.212.0/24229.80.212.1 to 229.80.212.254229.80.212.255254
214229.80.213.0/24229.80.213.1 to 229.80.213.254229.80.213.255254
215229.80.214.0/24229.80.214.1 to 229.80.214.254229.80.214.255254
216229.80.215.0/24229.80.215.1 to 229.80.215.254229.80.215.255254
217229.80.216.0/24229.80.216.1 to 229.80.216.254229.80.216.255254
218229.80.217.0/24229.80.217.1 to 229.80.217.254229.80.217.255254
219229.80.218.0/24229.80.218.1 to 229.80.218.254229.80.218.255254
220229.80.219.0/24229.80.219.1 to 229.80.219.254229.80.219.255254
221229.80.220.0/24229.80.220.1 to 229.80.220.254229.80.220.255254
222229.80.221.0/24229.80.221.1 to 229.80.221.254229.80.221.255254
223229.80.222.0/24229.80.222.1 to 229.80.222.254229.80.222.255254
224229.80.223.0/24229.80.223.1 to 229.80.223.254229.80.223.255254
225229.80.224.0/24229.80.224.1 to 229.80.224.254229.80.224.255254
226229.80.225.0/24229.80.225.1 to 229.80.225.254229.80.225.255254
227229.80.226.0/24229.80.226.1 to 229.80.226.254229.80.226.255254
228229.80.227.0/24229.80.227.1 to 229.80.227.254229.80.227.255254
229229.80.228.0/24229.80.228.1 to 229.80.228.254229.80.228.255254
230229.80.229.0/24229.80.229.1 to 229.80.229.254229.80.229.255254
231229.80.230.0/24229.80.230.1 to 229.80.230.254229.80.230.255254
232229.80.231.0/24229.80.231.1 to 229.80.231.254229.80.231.255254
233229.80.232.0/24229.80.232.1 to 229.80.232.254229.80.232.255254
234229.80.233.0/24229.80.233.1 to 229.80.233.254229.80.233.255254
235229.80.234.0/24229.80.234.1 to 229.80.234.254229.80.234.255254
236229.80.235.0/24229.80.235.1 to 229.80.235.254229.80.235.255254
237229.80.236.0/24229.80.236.1 to 229.80.236.254229.80.236.255254
238229.80.237.0/24229.80.237.1 to 229.80.237.254229.80.237.255254
239229.80.238.0/24229.80.238.1 to 229.80.238.254229.80.238.255254
240229.80.239.0/24229.80.239.1 to 229.80.239.254229.80.239.255254
241229.80.240.0/24229.80.240.1 to 229.80.240.254229.80.240.255254
242229.80.241.0/24229.80.241.1 to 229.80.241.254229.80.241.255254
243229.80.242.0/24229.80.242.1 to 229.80.242.254229.80.242.255254
244229.80.243.0/24229.80.243.1 to 229.80.243.254229.80.243.255254
245229.80.244.0/24229.80.244.1 to 229.80.244.254229.80.244.255254
246229.80.245.0/24229.80.245.1 to 229.80.245.254229.80.245.255254
247229.80.246.0/24229.80.246.1 to 229.80.246.254229.80.246.255254
248229.80.247.0/24229.80.247.1 to 229.80.247.254229.80.247.255254
249229.80.248.0/24229.80.248.1 to 229.80.248.254229.80.248.255254
250229.80.249.0/24229.80.249.1 to 229.80.249.254229.80.249.255254
251229.80.250.0/24229.80.250.1 to 229.80.250.254229.80.250.255254
252229.80.251.0/24229.80.251.1 to 229.80.251.254229.80.251.255254
253229.80.252.0/24229.80.252.1 to 229.80.252.254229.80.252.255254
254229.80.253.0/24229.80.253.1 to 229.80.253.254229.80.253.255254
255229.80.254.0/24229.80.254.1 to 229.80.254.254229.80.254.255254
256229.80.255.0/24229.80.255.1 to 229.80.255.254229.80.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses